Bug 870432 - Review Request: python-django-openid-auth - OpenID integration for django.contrib.auth
Review Request: python-django-openid-auth - OpenID integration for django.con...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 09:13 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-12 10:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Marko 2012-10-26 09:13:03 EDT
Spec URL: http://rmarko.fedorapeople.org/packages/python-django-openid-auth.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/python-django-openid-auth-0.4-1.fc17.src.rpm
Description: OpenID integration for django.contrib.auth
Fedora Account System Username: rmarko
Comment 1 Michael Scherer 2012-10-27 09:31:46 EDT
Hi,

I think the url should be https://launchpad.net/django-openid-auth , since that's the current upstream. 

And could you see if you could add the test in %check ?

Otherwise, the package is good and approved.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/870432-python-django-openid-
     auth/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (django-openid-auth_0.4.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-django-openid-auth-0.4-1.fc17.noarch.rpm
python-django-openid-auth.noarch: W: spelling-error Summary(en_US) contrib -> cont rib, cont-rib, contribute
python-django-openid-auth.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-django-openid-auth
python-django-openid-auth.noarch: W: spelling-error Summary(en_US) contrib -> cont rib, cont-rib, contribute
python-django-openid-auth.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-django-openid-auth (rpmlib, GLIBC filtered):
    Django
    python(abi)
    python-openid



Provides
--------
python-django-openid-auth:
    python-django-openid-auth



MD5-sum check
-------------
http://pypi.python.org/packages/source/d/django-openid-auth/django-openid-auth_0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 923c2a9652f23bee367a6578f39d0881eaeb7aca2ec8f810f523b16e38679d05
  CHECKSUM(SHA256) upstream package : 923c2a9652f23bee367a6578f39d0881eaeb7aca2ec8f810f523b16e38679d05


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-17-x86_64
Command line :./try-fedora-review -b 870432
Comment 2 Richard Marko 2012-11-05 05:21:47 EST
(In reply to comment #1)
> Hi,
> 
> I think the url should be https://launchpad.net/django-openid-auth , since
> that's the current upstream. 

Fixed.

> 
> And could you see if you could add the test in %check ?

I think it's not easily doable without setting up minimal Django environment.

> 
> Otherwise, the package is good and approved.

Thanks for the review.
Comment 3 Richard Marko 2012-11-05 05:50:34 EST
New Package SCM Request
=======================
Package Name: python-django-openid-auth
Short Description: OpenID integration for django.contrib.auth
Owners: rmarko
Branches: f17 f18 el6
Comment 4 Gwyn Ciesla 2012-11-05 15:45:13 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-11-06 06:21:10 EST
python-django-openid-auth-0.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-openid-auth-0.4-2.fc18
Comment 6 Fedora Update System 2012-11-06 13:53:21 EST
python-django-openid-auth-0.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-01-12 10:16:35 EST
python-django-openid-auth-0.4-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.